Bug 138713 - [maintainer update] devel/ptlib26 fix
Summary: [maintainer update] devel/ptlib26 fix
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: Normal Affects Only Me
Assignee: Alexander Nedotsukov
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2009-09-10 22:00 UTC by Alexander V. Chernikov
Modified: 2009-09-14 03:20 UTC (History)
0 users

See Also:


Attachments
file.diff (3.09 KB, patch)
2009-09-10 22:00 UTC, Alexander V. Chernikov
no flags Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Alexander V. Chernikov 2009-09-10 22:00:03 UTC
Restore original linux library versioning scheme to be able to match >= 2.6.4 version

Fix: Patch attached with submission follows:
Comment 1 Alexander V. Chernikov 2009-09-10 23:25:47 UTC
previous diff was wrong
this is correct one

begin 644 ptlib26_ver.diff
M9&EF9B`M<G4@<'1L:6(R-BYO<FEG+TUA:V5F:6QE('!T;&EB,C8O36%K969I
M;&4*+2TM('!T;&EB,C8N;W)I9R]-86ME9FEL90DR,#`Y+3`Y+3$P(#(S.C0Q
M.C(W+C`P,#`P,#`P,"`K,#0P,`HK*RL@<'1L:6(R-B]-86ME9FEL90DR,#`Y
M+3`Y+3$Q(#`P.C4T.C4W+C`P,#`P,#`P,"`K,#0P,`I`0"`M-RPV("LW+#<@
M0$`*(`H@4$]25$Y!344]"7!T;&EB"B!03U)45D524TE/3CT),BXV+C0**U!/
M4E12159)4TE/3CT),0H@0T%414=/4DE%4ST)9&5V96P*($U!4U1%4E]3251%
M4ST))'M-05-415)?4TE415]'3D]-17T*($U!4U1%4E]3251%7U-50D1)4CT)
M<V]U<F-E<R]P=&QI8B\R+C8*3VYL>2!I;B!P=&QI8C(V+V9I;&5S.B`N<&%T
M8V@M36%K969I;&4N:6XN<W=P"F1I9F8@+7)U('!T;&EB,C8N;W)I9R]F:6QE
M<R]P871C:"U-86ME9FEL92YI;B!P=&QI8C(V+V9I;&5S+W!A=&-H+4UA:V5F
M:6QE+FEN"BTM+2!P=&QI8C(V+F]R:6<O9FEL97,O<&%T8V@M36%K969I;&4N
M:6X),C`P.2TP.2TQ,"`R,SHT,3HR-RXP,#`P,#`P,#`@*S`T,#`**RLK('!T
M;&EB,C8O9FEL97,O<&%T8V@M36%K969I;&4N:6X),C`P.2TP.2TQ,2`P,CHP
M-SHU-BXP,#`P,#`P,#`@*S`T,#`*0$`@+3$L,C`@*S$L,C$@0$`*+2TM+2!-
M86ME9FEL92YI;BYO<FEG"3(P,#DM,#$M,3(@,#8Z-3,Z,3@N,#`P,#`P,#`P
M("LP.#`P"BTK*RL@36%K969I;&4N:6X),C`P.2TP,BTR,R`Q,#HP,SHU,BXP
M,#`P,#`P,#`@*S`X,#`*+4!`("TX-2PQ,2`K.#4L,3$@0$`**RTM+2!-86ME
M9FEL92YI;BYO<FEG"3(P,#DM,#<M,#4@,#DZ-3(Z-3<N,#`P,#`P,#`P("LP
M-#`P"BLK*RL@36%K969I;&4N:6X),C`P.2TP.2TQ,2`P,3HU-3HT,"XP,#`P
M,#`P,#`@*S`T,#`**T!`("TX-2PQ,2`K.#4L,3(@0$`*("`@("`@("`@("`@
M("`@("`@("`@("`D*$1%4U1$25(I)"A04D5&25@I+W-H87)E+W!T;&EB+VUA
M:V4@.R!<"B`@"0ED;R!M:V1I<B`M<"`D)&1I<B`[(&-H;6]D(#<U-2`D)&1I
M<B`[(%P*("`)9&]N92`I"B`M"20H24Y35$%,3"D@+6T@-#0T("0H4%1?3$E"
M1$E2*2\D*%!43$E"7T9)3$4I+D!-04I/4E]615)324].0"Y`34E.3U)?5D52
M4TE/3D!`0E5)3$1?5%E014!`0E5)3$1?3E5-0D520"`D*$1%4U1$25(I)"A,
M24)$25(I"BTK"20H24Y35$%,3"D@+6T@-#0T("0H4%1?3$E"1$E2*2\D*%!4
M3$E"7T9)3$4I+D!-04I/4E]615)324].0"`D*$1%4U1$25(I)"A,24)$25(I
M"BLK"20H24Y35$%,3"D@+6T@-#0T("0H4%1?3$E"1$E2*2\D*%!43$E"7T9)
M3$4I+D!-04I/4E]615)324].0"Y`34E.3U)?5D524TE/3D!`0E5)3$1?5%E0
M14!`0E5)3$1?3E5-0D520"`D*$1%4U1$25(I)"A,24)$25(I+VQI8B0H4%1,
M24)?0D%312DM0$U!2D]27U9%4E-)3TY`+D!-24Y/4E]615)324].0"YS;T!"
M54E,1%]465!%0$!"54E,1%].54U"15)`"B`@"20H24Y35$%,3"D@+6T@-#0T
M("0H4%1?3$E"1$E2*2]L:6(D*%!43$E"7T)!4T4I7W,N82`D*$1%4U1$25(I
M)"A,24)$25(I"B`@"2AC9"`D*$1%4U1$25(I)"A,24)$25(I(#L@7`H@(`D)
M<FT@+68@("0H4%1,24)?1DE,12D@.R!<"B`M"0EL;B`M<V8@)"A05$Q)0E]&
M24Q%*2Y`34%*3U)?5D524TE/3D`N0$U)3D]27U9%4E-)3TY`0$)524Q$7U19
M4$5`0$)524Q$7TY534)%4D`@)"A05$Q)0E]&24Q%*2!<"BTK"0EL;B`M<V8@
M)"A05$Q)0E]&24Q%*2Y`34%*3U)?5D524TE/3D`@)"A05$Q)0E]&24Q%*2!<
M"BLK"0EL;B`M<V8@;&EB)"A05$Q)0E]"05-%*2U`34%*3U)?5D524TE/3D`N
M0$U)3D]27U9%4E-)3TY`+G-O0$)524Q$7U194$5`0$)524Q$7TY534)%4D`@
M)"A05$Q)0E]&24Q%*2`[(%P**RL)"6QN("US9B!L:6(D*%!43$E"7T)!4T4I
M+4!-04I/4E]615)324].0"Y`34E.3U)?5D524TE/3D`N<V]`0E5)3$1?5%E0
M14!`0E5)3$1?3E5-0D520"!L:6(D*%!43$E"7T)!4T4I+4!-04I/4E]615)3
M24].0"Y`34E.3U)?5D524TE/3D`N<V\@7`H@(`DI"B`@:69E<2`H,2P@)"A(
M05-?4$Q51TE.4RDI"B`@"6EF('1E<W0@+64@)"A05%],24)$25(I+V1E=FEC
M92\[('1H96X@7`HM0$`@+3$R,"PY("LQ,C`L.2!`0`HK0$`@+3$R,"PY("LQ
M,C$L.2!`0`H@(`DD*$E.4U1!3$PI("UM(#<U-2!M86ME+W!T;&EB+6-O;F9I
M9R`D*$1%4U1$25(I)"A04D5&25@I+W-H87)E+W!T;&EB+VUA:V4O"B`@"2AC
M9"`D*$1%4U1$25(I)"A04D5&25@I+V)I;CL@<FT@+68@<'1L:6(M8V]N9FEG
M(#L@;&X@+7-N9B`N+B]S:&%R92]P=&QI8B]M86ME+W!T;&EB+6-O;F9I9R!P
M=&QI8BUC;VYF:6<I"B`@"D!`("TR-RPW("LR."PW($!`"B`@=6YI;G-T86QL
M.@H@(`ER;2`M<F8@)"A$15-41$E2*20H4%)%1DE8*2]I;F-L=61E+W!T;&EB
M(%P*("`)("`@("`@("0H1$535$1)4BDD*%!2149)6"DO:6YC;'5D92]P=&-L
M:6(@7`HM0$`@+3$S,"PY("LQ,S`L.2!`0`HK0$`@+3$S,"PW("LQ,S$L-R!`
M0`H@(`D@("`@("`@)"A$15-41$E2*20H4%)%1DE8*2]I;F-L=61E+W!T8G5I
M;&1O<'1S+F@@7`H@(`D@("`@("`@)"A$15-41$E2*20H4%)%1DE8*2]S:&%R
M92]P=&QI8B!<"B`@"2`@("`@("`D*$1%4U1$25(I)"A,24)$25(I+R0H1$56
M7U!,54=)3E]$25(I(%P*0$`@+3,U+#<@*S,V+#0@0$`*("L)("`@("`@("0H
M1$535$1)4BDD*%!2149)6"DO;&EB9&%T82]P:V=C;VYF:6<O<'1L:6(N<&,*
M("`)<FT@+68@)"A$15-41$E2*20H3$E"1$E2*2]L:6(D*%!43$E"7T)!4T4I
M7W,N82!<"B`@"2`@("`@("0H1$535$1)4BDD*$Q)0D1)4BDO)"A05$Q)0E]&
M24Q%*2!<"BTM"2`@("`@("0H1$535$1)4BDD*$Q)0D1)4BDO)"A05$Q)0E]&
M24Q%*2Y`34%*3U)?5D524TE/3D`N0$U)3D]27U9%4E-)3TY`0$)524Q$7U19
M4$5`0$)524Q$7TY534)%4D`*+2L)("`@("`@)"A$15-41$E2*20H3$E"1$E2
M*2\D*%!43$E"7T9)3$4I+D!-04I/4E]615)324].0`HM(`HM(",@16YD(&]F
M($UA:V5F:6QE+FEN"BL@"2`@("`@("0H1$535$1)4BDD*$Q)0D1)4BDO)"A0
M5$Q)0E]&24Q%*2Y`34%*3U)?5D524TE/3D`N0$U)3D]27U9%4E-)3TY`0$)5
M24Q$7U194$5`0$)524Q$7TY534)%4D`*3VYL>2!I;B!P=&QI8C(V+F]R:6<O
M9FEL97,Z('!A=&-H+6UA:V5?;&EB+FUA:PID:69F("UR=2!P=&QI8C(V+F]R
M:6<O<&MG+7!L:7-T('!T;&EB,C8O<&MG+7!L:7-T"BTM+2!P=&QI8C(V+F]R
M:6<O<&MG+7!L:7-T"3(P,#DM,#DM,3`@,C,Z-#$Z,C<N,#`P,#`P,#`P("LP
M-#`P"BLK*R!P=&QI8C(V+W!K9RUP;&ES=`DR,#`Y+3`Y+3$Q(#`R.C(P.C$X
M+C`P,#`P,#`P,"`K,#0P,`I`0"`M,34V+#@@*S$U-BPY($!`"B!I;F-L=61E
M+W!T;&EB+W9I9&5O+F@*(&EN8VQU9&4O<'1L:6(O=FED96]I;RYH"B!I;F-L
M=61E+W!T;&EB+W9I9&5O:6\Q,SDT9&,N:`HK;&EB+VQI8G!T+3(N-BYS;PHK
M;&EB+VQI8G!T+3(N-BYS;RXT"B!L:6(O;&EB<'0N<V\*+6QI8B]L:6)P="YS
M;RXR"B!L:6(O;&EB<'1?<RYA"B!L:6(O<'1L:6(M,BXV+C0O9&5V:6-E<R]S
M;W5N9"]O<W-?<'=P;'5G:6XN<V\*("4E0E-$5DE$14\E)6QI8B]P=&QI8BTR
M+C8N-"]D979I8V5S+W9I9&5O:6YP=70O8G-D=FED96]?<'=P;'5G:6XN<V\*
`
end
Comment 2 Alexander Nedotsukov freebsd_committer 2009-09-11 05:37:54 UTC
Responsible Changed
From-To: freebsd-ports-bugs->bland

Take.
Comment 3 Alexander Nedotsukov freebsd_committer 2009-09-11 05:38:13 UTC
State Changed
From-To: open->feedback

How this will affect the dependants?
Comment 4 dfilter service freebsd_committer 2009-09-14 03:13:38 UTC
bland       2009-09-14 02:13:29 UTC

  FreeBSD ports repository

  Modified files:
    devel/ptlib26        Makefile pkg-plist 
    devel/ptlib26/files  patch-Makefile.in 
  Removed files:
    devel/ptlib26/files  patch-make_lib.mak 
  Log:
  Restore original linux library versioning scheme.
  
  PR:     138713
  
  Revision  Changes    Path
  1.7       +2 -0      ports/devel/ptlib26/Makefile
  1.3       +9 -11     ports/devel/ptlib26/files/patch-Makefile.in
  1.2       +0 -14     ports/devel/ptlib26/files/patch-make_lib.mak (dead)
  1.7       +2 -1      ports/devel/ptlib26/pkg-plist
_______________________________________________
cvs-all@freebsd.org mailing list
http://lists.freebsd.org/mailman/listinfo/cvs-all
To unsubscribe, send any mail to "cvs-all-unsubscribe@freebsd.org"
Comment 5 Alexander Nedotsukov freebsd_committer 2009-09-14 03:13:49 UTC
State Changed
From-To: feedback->closed

Committed, thanks!